<?php !defined('APP_DIR') ? die('acceess not defined') : '';
class BM_sell extends BM {
    
    private $_dao_sell = 'sell';
    
    /**
     * 根据主键ID获取400的基本信息
     *
     * @param int $id
     * @return array
     * 
     * @example bm('400')->get(1)
     */
    public function get($id){
        return $this->dao($this->_dao_sell)->get($id);
    }
    
    /**
     * 根据查询条件获取400
     *
     * @param int $query_struct
     * @param string $key_field
     * @return array
     * 
     * @example bm('company')->get_all($query_struct, $key_field)
     */
    public function get_all($query_struct, $key_field=NULL){	
        return $this->dao($this->_dao_sell)->get_all($query_struct, $key_field);
    }
    
    /**
     * 修改400
     *
     * @param array $data
     * @return bool
     * 
     */
    public function edit($data){
        return $this->dao($this->_dao_sell)->edit($data);
    }
    
    /**
     * 添加400
     *
     * @param array $data
     * @return bool | int
     */
    public function add($data){
        return $this->dao($this->_dao_sell)->add($data);
    }
    
    /**
     * 删除数据
     *
     * @param int $id
     * @return bool
     */
    public function delete($id){
        return $this->dao($this->_dao_sell)->delete($id);
    }
    
    /**
     *查询满足条件的数量 
     */
    public function count($query_struct){
        return $this->dao($this->_dao_sell)->count($query_struct);
    }
}